Name:           postfix-policyd-spf-perl
Version:        2.010
Release:        1%{?dist}
Summary:        Basic Postfix policy engine for Sender Policy Framework (SPF) checking

License:        GPLv2
URL:            https://launchpad.net/%{name}/
Source0:        https://launchpad.net/%{name}/trunk/release2.010/+download/%{name}-%{version}.tar.gz

BuildArch:      noarch
Requires:       postfix
Requires:       perl => 5.6
Requires:       perl(NetAddr::IP) >= 4.0
Requires:       perl(Mail::SPF) >= 2.006
Requires:       perl(Sys::Hostname::Long)

%description
This is a basic Postfix policy engine for Sender Policy Framework (SPF)
checking. It is implemented in pure Perl and uses Mail::SPF. This SPF policy
server implementation is very basic and requires almost no configuration.

%prep
%setup -q

%install
DESTDIR=$RPM_BUILD_ROOT; export DESTDIR

rm -rf $RPM_BUILD_ROOT
mkdir -p $DESTDIR%{_libexecdir}/postfix
install -c -m 755 %{name} $DESTDIR%{_libexecdir}/postfix

%files
%doc CHANGES LICENSE README
%defattr(-,root,root)
%{_libexecdir}/postfix/postfix-policyd-spf-perl


%changelog
* Fri Feb 03 2017 Gary T. Giesen <ggiesen@giesen.me>
- Initial build.
